CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opciones]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Cuando alguno de los argumentos de calibre-debug contenga espacios, póngalo entre comillas. Por ejemplo: "/some path/with spaces"

[OPCIONES]

--add-simple-plugin
    Añadir un complemento sencillo (un complemento que conste de un único archivo .py) especificando la ruta al archivo .py que contiene el código del complemento.

--command, -c
    Ejecutar código Python.

--debug-device-driver, -d
    Depurar detección de dispositivos

--default-programs
    (Des)registrar calibre como programa predeterminado de Windows --default-programs = (register|unregister)

--diff
    Ejecutar la herramienta de comparación de calibre. Por ejemplo: calibre-debug --diff archivo1 archivo2

--edit-book
    Ejecutar la herramienta para modificar libros de calibre en modo de depuración.

--exec-file, -e
    Ejecutar el código Python en el archivo.

--explode-book, -x
    Expandir el libro en la carpeta especificada. Empleo: -x archivo.epub dir_salida Exporta el libro como una colección de archivos HTML y metadatos, que pueden modificarse con las herramientas habituales para HTML. Funciona con archivos EPUB, AZW3, HTMLZ y DOCX.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Para uso interno

--gui, -g
    Ejecutar la interfaz gráfica en modo de depuración. La salida de depuración se imprime en los flujos de salida y error estándar

--gui-debug
    Ejecutar la interfaz gráfica con consola de depuración, con registro en la ruta especificada. Para uso interno, use la opción -g para ejecutar la interfaz gráfica en modo de depuración.

--help, -h
    mostrar este mensaje de ayuda y terminar

--implode-book, -i
    Regenerar un libro previamente expandido. Empleo: -l dir_salida archivo.epub Importa el libro a partir de los archivos en «dir_salida», que debe haber sido creado por una ejecución previa de --explode-book. Asegúrese de especificar el mismo tipo de archivo que se usó al expandir.

--import-calibre-data
    Importar datos de calibre previamente exportados

--inspect-mobi, -m
    Inspeccionar los archivos MOBI en las rutas especificadas

--paths
    Mostrar las rutas necesarias para configurar el entorno de calibre

--run-plugin, -r
    Ejecutar un complemento que proporciona una interfaz de línea de órdenes. Por ejemplo: calibre-debug -r "Nombre del complemento" -- archivo1 --option1 Todo lo que aparezca después de -- se pasará al complemento como argumentos.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Cierra una sesión de calibre que pueda estar abierta. Tenga cuidado, porque si hay tareas en ejecución serán abortadas, úselo con precaución.

--subset-font, -f
    Reducir el tipo de letra especificado. Use -- después de esta opción para pasar opciones al programa de reducción de tipos de letra.

--test-build
    Probar módulos binarios incluidos

--version
    mostrar el número de versión del programa y terminar

--viewer, -w
    Ejecutar el visor de libros en modo de depuración

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal